OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes
CYapfOriginTileT< Types > Class Template Reference

YAPF origin provider base class - used when origin is one tile / multiple trackdirs. More...

`#include <yapf_common.hpp>`

Inheritance diagram for CYapfOriginTileT< Types >:

## Public Types
typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::NodeList::Titem | Node
| this will be our node type
typedef Node::Key | Key
| key to hash tables

## Public Member Functions
void | SetOrigin (TileIndex tile, TrackdirBits trackdirs)
| Set origin tile / trackdir mask.
void | PfSetStartupNodes ()
| Called when YAPF needs to place origin nodes into open list.

## Protected Member Functions
Tpf & | Yapf ()
| to access inherited path finder

## Protected Attributes
TileIndex | m_orgTile
| origin tile
TrackdirBits | m_orgTrackdirs
| origin trackdir mask

## Detailed Description

### template<class Types>
class CYapfOriginTileT< Types >

YAPF origin provider base class - used when origin is one tile / multiple trackdirs.

Definition at line 17 of file yapf_common.hpp.

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_common.hpp